View Issue Details

IDProjectCategoryView StatusLast Update
0001492NoesisGUIC# SDKpublic2019-06-27 01:31
ReporterdigimbyteAssigned Tosfernandez 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.2 
Target Version2.2.4Fixed in Version2.2.4 
Summary0001492: Thickness needs 2 arguments
DescriptionThickness currently has 1 or 4 overloads, I would like to see thickness with 2 overloads, `new thickness(width, height)`
TagsNo tags attached.
PlatformAny

Activities

sfernandez

sfernandez

2019-06-17 16:39

manager   ~0005721

We were following WPF interface that only offers two versions of the constructor (1 or 4 values): https://referencesource.microsoft.com/#PresentationFramework/src/Framework/System/Windows/Thickness.cs,34
Anyway, we think it is safe to add that extension to the code so we'll do it for the next release. Although using it will mean code won't be compatible with WPF, just want to remark that.

Issue History

Date Modified Username Field Change
2019-06-15 14:48 digimbyte New Issue
2019-06-17 16:39 sfernandez Assigned To => sfernandez
2019-06-17 16:39 sfernandez Status new => feedback
2019-06-17 16:39 sfernandez Note Added: 0005721
2019-06-18 17:00 sfernandez Target Version => 2.2.4
2019-06-27 01:31 sfernandez Status feedback => resolved
2019-06-27 01:31 sfernandez Resolution open => fixed
2019-06-27 01:31 sfernandez Fixed in Version => 2.2.4